import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The finch world.
 * 
 * @author Michael Berry
 * @version 01/12/10
 */
public class FinchWorld  extends World
{

    private FinchMover mover;
    private Slider slider;

    public FinchWorld() {    
        super(250, 150, 1);
        mover = new FinchMover();
        slider = new Slider();
        slider.setValue(50);
        slider.showValue(true);
        slider.showPercentage(false);
        addObject(mover,120,50);
        addObject(slider,135,120);
        addObject(new Label(),60,100);
    }
    
    public void act() {
        mover.setThreshold(slider.getValue());
    }

    /**
     * Start the finch when the scenario starts. Don't remove this!!
     */
    @Override
    public void started() {
        GreenFinch.get().start();
    }

    /**
     * Stops the finch when the scenario stops. Don't remove this!!
     */
    @Override
    public void stopped() {
        GreenFinch.get().stop();
    }

}
